#!/usr/bin/python3

"""

This is the “nester.py" module, and it provides one function called
print_lol() which prints lists that may or may not include nested lists.”

"""


"""
This function takes a positional argument called “the_list", which is any

Python list (of, possibly, nested lists).
Each data item in the provided list
is (recursively) printed to the screen on its own line.
A second argument called "level" is used to insert
tabs-stops when a nester list in encountered
"""


def print_lol(the_list, ident=False, level=0):

    for each_item in the_list:
        if isinstance(each_item, list):
            print_lol(each_item, ident, level+1)
        else:
            if ident:
                for tab_stop in range(level):
                    print("\t", end=' ')
            print(each_item)
